## python-3parclient 4.2.14

=== requirements.txt ===
eventlet
paramiko>=1.13.0
requests

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/hpe3parclient.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/hpe3parclient.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/hpe3parclient"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/hpe3parclient"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-3parclient 4.2.7

=== debian/changelog ===
python-3parclient (4.2.7-0ubuntu1) cosmic; urgency=medium

  * New upstream release.
  * Rename package hp3parclient -> 3parclient (LP: #1776614).
  * Align (Build-)Depends with upstream.
  * Add python3 package.
  * Switch to using openstack-pkg-tools for build.
  * Disable unit tests due to missing parts in sdist tarball.
  * Update Vcs-* fields and Homepage.

 -- James Page <james.page@ubuntu.com>  Wed, 13 Jun 2018 09:30:54 +0100

python-hp3parclient (3.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Apr 2014 08:08:36 +0000

python-hp3parclient (3.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 08 Mar 2014 15:43:22 +0800

python-hp3parclient (2.0.0-1) unstable; urgency=low

  * Ran wrap-and-sort.
  * New upstream release.
  * Disabled unit tests that can't be run in buildd.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 May 2013 13:57:47 +0800

python-hp3parclient (1.0.0-2) unstable; urgency=low

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 May 2013 08:06:14 +0000

python-hp3parclient (1.0.0-1) experimental; urgency=low

  * Initial release (Closes: #701522).

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Oct 2012 11:55:15 +0000

=== debian/control ===
Source: python-3parclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Loic Dachary (OuoU) <loic@debian.org>,
 Julien Danjou <acid@debian.org>,
 James Page <james.page@ubuntu.com>,
 Thomas Goirand <zigo@debian.org>,
 Ghe Rivero <ghe.rivero@stackops.com>,
 Mehdi Abaakouk <sileht@sileht.net>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools,
 python-all (>= 2.6.6-3~),
 python-setuptools,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python-eventlet,
 python-flask,
 python-nose,
 python-paramiko,
 python-requests,
 python-werkzeug,
 python3-eventlet,
 python3-flask,
 python3-nose,
 python3-paramiko,
 python3-requests,
 python3-werkzeug,
Standards-Version: 4.1.4
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-3parclient
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-3parclient
Homepage: http://packages.python.org/python-3parclient

Package: python-3parclient
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
Description: client library that can talk to the HP 3PAR Storage array
 3parclient is a Client library that can talk to the HP 3PAR Storage array.
 The 3PAR storage array has a REST web service interface as of 3.1.2 of the
 firmware. This client library implements a simple interface to talking with
 that REST interface using the Python httplib2 http library.
 .
 This package provides the Python 2 module.

Package: python-hp3parclient
Architecture: all
Section: oldlibs
Depends:
 python-3parclient,
 ${misc:Depends},
Description: transitional dummy package for python-3parclient
 This transitional package is safe to remove and use
 python-3parclient instead.

Package: python3-3parclient
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: client library that can talk to the HP 3PAR Storage array
 3parclient is a Client library that can talk to the HP 3PAR Storage array.
 The 3PAR storage array has a REST web service interface as of 3.1.2 of the
 firmware. This client library implements a simple interface to talking with
 that REST interface using the Python httplib2 http library.
 .
 This package provides the Python 3 module.

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with=python2,python3

override_dh_auto_install:
	pkgos-dh_auto_install

# NOTE(jamespage): Disable unit tests for now as parts are missing
#                  from the sdist tarball on pypi.
override_dh_auto_test:
	:

## python-3parclient 4.2.11

=== debian/changelog ===
python-3parclient (4.2.11-0ubuntu1) focal; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Wed, 15 Jan 2020 14:46:01 +0000

python-3parclient (4.2.7-0ubuntu5) focal; urgency=medium

  * Drop use of openstack-pkg-tools for package build, resolving
    issues with Python 2 removal.

 -- James Page <james.page@ubuntu.com>  Wed, 15 Jan 2020 14:37:32 +0000

python-3parclient (4.2.7-0ubuntu4) focal; urgency=medium

  * Stop building the Python2 module.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 15 Jan 2020 14:59:41 +0100

python-3parclient (4.2.7-0ubuntu2) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:41:10 +0000

=== debian/control ===
Source: python-3parclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Loic Dachary (OuoU) <loic@debian.org>,
 Julien Danjou <acid@debian.org>,
 James Page <james.page@ubuntu.com>,
 Thomas Goirand <zigo@debian.org>,
 Ghe Rivero <ghe.rivero@stackops.com>,
 Mehdi Abaakouk <sileht@sileht.net>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-eventlet,
 python3-flask,
 python3-nose,
 python3-paramiko,
 python3-requests,
 python3-werkzeug,
Standards-Version: 4.1.4
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-3parclient
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-3parclient
Homepage: http://packages.python.org/python-3parclient

Package: python3-3parclient
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: client library that can talk to the HP 3PAR Storage array
 3parclient is a Client library that can talk to the HP 3PAR Storage array.
 The 3PAR storage array has a REST web service interface as of 3.1.2 of the
 firmware. This client library implements a simple interface to talking with
 that REST interface using the Python httplib2 http library.
 .
 This package provides the Python 3 module.

## python-3parclient 4.2.12

=== debian/changelog ===
python-3parclient (4.2.12-0ubuntu2) resolute; urgency=medium

  * Upstream commit 48c2365 to fix unauthenticated calls (LP: #2128677)

 -- Vinit Chacharia <vinit.chacharia@canonical.com>  Wed, 29 Oct 2025 09:40:49 +0530

python-3parclient (4.2.12-0ubuntu1) mantic; urgency=medium

  * New upstream release.
  * d/control,compat: Bump debhelper compat level to 13. 

 -- James Page <james.page@ubuntu.com>  Wed, 26 Jul 2023 14:05:58 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  Ghe Rivero <ghe.rivero@stackops.com>,
  Mehdi Abaakouk <sileht@sileht.net>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-setuptools,

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/python-3parclient/python-3parclient-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-3parclient 4.2.14

=== debian/changelog ===
python-3parclient (4.2.14-0ubuntu1~bpo25.10.1) questing-backports; urgency=medium

  * Backport 4.2.14 to questing
  * Includes fix for unauthenticated calls (LP: #2134516)

 -- Vinit Chacharia <vinit.chacharia@canonical.com>  Tue, 16 Dec 2025 12:15:45 -0500

python-3parclient (4.2.14-0ubuntu1) resolute; urgency=medium

  * New uptream release.

 -- Vinit Chacharia <vinit.chacharia@canonical.com>  Wed, 19 Nov 2025 16:20:37 +0530
